Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLMenu

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLMenu

public class HTMLMenu
extends HTMLElementContainer

Reprents a collection of text URLs. You can add as many options as you like in order to populate this menu. When it renders, all the menu options show up in a comma delimited fasshion.

Version:
  PUBLIC

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLMenu()`

Method Summary
`void` | `addMenuOption(java.lang.String sText, java.lang.String URL)`
`protected void` | `renderElementFooter(java.io.PrintWriter out)`

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, render, renderContainerFooter, renderContainerHeader, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLMenu

    public HTMLMenu()

Method Detail

### addMenuOption

    public void addMenuOption(java.lang.String sText,
                              java.lang.String URL)

  Parameters:
    `sText` - Menu item text.
    `URL` - Target URL for this hyperlink.

### renderElementFooter

    protected void renderElementFooter(java.io.PrintWriter out)

  Overrides:
    renderElementFooter in class HTMLElementContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD